Package org.eclipse.microprofile.config.tck.converters.implicit

# Class ConvTestTypeWStringValueOf

java.lang.Object
org.eclipse.microprofile.config.tck.converters.implicit.ConvTestTypeWStringValueOf

public class ConvTestTypeWStringValueOf extends Object
Part of the implicit Converter test. Sample class which has a valueOf(String) method

Author:
  Mark Struberg

## Constructor Summary

Constructors
Constructor
Description
`ConvTestTypeWStringValueOf()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getVal()`
`static ConvTestTypeWStringValueOf`
`valueOf(String val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConvTestTypeWStringValueOf

public ConvTestTypeWStringValueOf()

## Method Details

### valueOf

public static ConvTestTypeWStringValueOf valueOf(String val)

### getVal

public String getVal()